diff --git a/doc/src/sgml/backup.sgml b/doc/src/sgml/backup.sgml
index 854b5fd..d8286b0 100644
--- a/doc/src/sgml/backup.sgml
+++ b/doc/src/sgml/backup.sgml
@@ -448,6 +448,13 @@ tar -cf backup.tar /usr/local/pgsql/data
    the contents of indexes for example, just the commands to recreate
    them.)  However, taking a file system backup might be faster.
   </para>
+
+  <para>
+   When doing a file system backup, it is recommended to drop replication
+   slots (see <xref linkend="streaming-replication-slots">) before using
+   it as it is not guaranteed that the WAL files needed by a slot will be
+   kept on the newly-created node.
+  </para>
  </sect1>
 
  <sect1 id="continuous-archiving">
diff --git a/doc/src/sgml/ref/pg_basebackup.sgml b/doc/src/sgml/ref/pg_basebackup.sgml
index 6ce0c8c..b81ad8d 100644
--- a/doc/src/sgml/ref/pg_basebackup.sgml
+++ b/doc/src/sgml/ref/pg_basebackup.sgml
@@ -590,6 +590,13 @@ PostgreSQL documentation
    or an older major version, down to 9.1. However, WAL streaming mode (-X
    stream) only works with server version 9.3.
   </para>
+
+  <para>
+   The backup will not include information about replication slots
+   (see <xref linkend="streaming-replication-slots">) as it is not
+   guaranteed that a node in recovery will have WAL files required for
+   a given slot.
+  </para>
  </refsect1>
 
  <refsect1>
